Subject: [fun] Feedback - HomeNet Charter

From: Christopher Palmer <[email-masked]>
Date: Fri, 1 Jul 2011 22:52:09 +0000

Hey Folks,

I've been trying to keep track of all the feedback concerning the HomeNet Charter. Sorry for bringing up points that may have been discussed before, or are in general noobish.

"End-to-end communication is both an opportunity and a concern as it
enables new applications but also exposes nodes in the internal
networks to receipt of unwanted traffic from the Internet. Firewalls
that restrict incoming connections may be used to prevent exposure,
however, this reduces the efficacy of end-to-end connectivity that
IPv6 has the potential to restore."

We are absolutely aligned to this objective. IPv6 provides an opportunity to avoid the limiting topology of current IPv4 deployments and this should a priority for everyone in the technology community.

I have points of concern. "Managing routing" is a very broad category of things and I'm not clear about what the vision is there.

The focus on multiple subnet solutions doesn't seemed align to current operational reality. While I understand the desire to be forward looking, this seems "very" forward looking to a point. I'd be interested in data that reflects the contrary.

Windows and Apple currently use different mechanisms for service discovery. Is unification a goal? WSD is managed by OASIS, which isn't mentioned for liasoning. Would we imagine the multicast DNS draft moving over to this WG? I'm just confused on what is happening and what is intended to happen. While the charter says routing changes will be handled by the routing area working group, the charter is not that specific on DNS changes.

I feel like the vision and defining principles could be spelled out more. We want IPv6 home networks to be routable. OK.  What else do we want? Why are we doing this?

"The purpose of this working group is to focus on this evolution...." To what end?

The requirements list reads "a solution will cover these technology areas" - I'd be interested in some definition of what promises those technology areas are meant to fulfill, the shape of the solution, not just its composition.

Best,
Chris
IPv6 @ Windows